#import <QCObjectPort.h>
#import <QCPatch.h>
#import "KinemeTexture.h"

@interface KinemeTexturePort : QCPort
{
	KinemeTexture *_texture;
}

+ (Class)baseClass;
- (Class)valueClass;
- (BOOL)acceptValuesOfClass:(Class)c;
- (NSString *)tooltipString;

- (KinemeTexture *)textureValue;
- (id)value;

- (void)setTextureValue:(KinemeTexture *)texture;
- (BOOL)setValue:(id)v;

- (id)initWithNode:(QCPatch *)node arguments:(NSDictionary *)arguments;
@end
