@interface QCPBuffer : NSObject
{
    struct _CGLPBufferObject *_pBuffer;
    unsigned int _target;
    unsigned int _width;
    unsigned int _height;
    unsigned int _levels;
}

+ (id)pBufferWithTarget:(unsigned long)fp8 pixelsWide:(unsigned int)fp12 pixelsHigh:(unsigned int)fp16 mipmapLevels:(unsigned int)fp20;
- (id)init;
- (id)initWithTarget:(unsigned long)fp8 pixelsWide:(unsigned int)fp12 pixelsHigh:(unsigned int)fp16 mipmapLevels:(unsigned int)fp20;
- (void)finalize;
- (void)dealloc;
- (void)_destroyPBuffer;
- (BOOL)setTarget:(unsigned long)fp8 pixelsWide:(unsigned int)fp12 pixelsHigh:(unsigned int)fp16 mipmapLevels:(unsigned int)fp20;
- (struct _CGLPBufferObject *)_CGLPBufferObj;
- (unsigned long)target;
- (unsigned int)pixelsWide;
- (unsigned int)pixelsHigh;
- (unsigned int)mipmapLevels;
- (BOOL)attachToCGLContext:(struct _CGLContextObject *)fp8;
- (BOOL)texImage:(struct _CGLContextObject *)fp8;
- (id)description;

@end