#import "TextureAbsPatch.h"

@implementation TextureAbsPatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];
	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Module *ta=[[inputTexture textureValue] texture];

	if(ta)
	{
		module::Abs *abs=new module::Abs;
		abs->SetSourceModule(0,*ta);

		KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:abs];
		[outputTexture setTextureValue:t];
		[t release];
	}
	else
		[outputTexture setTextureValue:nil];

	return YES;
}
@end
