#import "TextureCylindersPatch.h"

@implementation TextureCylindersPatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];

	[inputFrequency setDoubleValue:1.0];

	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Cylinders *cylinders=new module::Cylinders;
	cylinders->SetFrequency([inputFrequency doubleValue]);

	KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:cylinders];
	[outputTexture setTextureValue:t];
	[t release];

	return YES;
}
@end
