#import "TexturePatchPrincipal.h"

#import "TextureBillowPatch.h"
#import "TextureCheckerboardPatch.h"
#import "TextureConstPatch.h"
#import "TextureCylindersPatch.h"
#import "TexturePerlinPatch.h"
#import "TextureRidgedMultiPatch.h"
#import "TextureSpheresPatch.h"
#import "TextureVoronoiPatch.h"

#import "TextureDisplacePatch.h"
#import "TextureRotatePatch.h"
#import "TextureScalePatch.h"
#import "TextureTranslatePatch.h"
#import "TextureTurbulencePatch.h"

#import "TextureSelectPatch.h"
#import "TextureBlendPatch.h"

#import "TextureAddPatch.h"
#import "TextureMaxPatch.h"
#import "TextureMinPatch.h"
#import "TextureMultiplyPatch.h"
#import "TexturePowerPatch.h"

#import "TextureAbsPatch.h"
#import "TextureClampPatch.h"
#import "TextureExponentPatch.h"
#import "TextureInvertPatch.h"
#import "TextureScaleBiasPatch.h"

#import "TextureRenderPatch.h"

@implementation TexturePatchPlugin
+ (void)registerNodesWithManager:(GFNodeManager*)manager
{
	[manager registerNodeWithClass:[TextureBillowPatch class]];
	[manager registerNodeWithClass:[TextureCheckerboardPatch class]];
	[manager registerNodeWithClass:[TextureConstPatch class]];
	[manager registerNodeWithClass:[TextureCylindersPatch class]];
	[manager registerNodeWithClass:[TexturePerlinPatch class]];
	[manager registerNodeWithClass:[TextureRidgedMultiPatch class]];
	[manager registerNodeWithClass:[TextureSpheresPatch class]];
	[manager registerNodeWithClass:[TextureVoronoiPatch class]];

	[manager registerNodeWithClass:[TextureDisplacePatch class]];
	[manager registerNodeWithClass:[TextureRotatePatch class]];
	[manager registerNodeWithClass:[TextureScalePatch class]];
	[manager registerNodeWithClass:[TextureTranslatePatch class]];
	[manager registerNodeWithClass:[TextureTurbulencePatch class]];

	[manager registerNodeWithClass:[TextureSelectPatch class]];
	[manager registerNodeWithClass:[TextureBlendPatch class]];

	[manager registerNodeWithClass:[TextureAddPatch class]];
	[manager registerNodeWithClass:[TextureMaxPatch class]];
	[manager registerNodeWithClass:[TextureMinPatch class]];
	[manager registerNodeWithClass:[TextureMultiplyPatch class]];
	[manager registerNodeWithClass:[TexturePowerPatch class]];

	[manager registerNodeWithClass:[TextureAbsPatch class]];
	[manager registerNodeWithClass:[TextureClampPatch class]];
	[manager registerNodeWithClass:[TextureExponentPatch class]];
	[manager registerNodeWithClass:[TextureInvertPatch class]];
	[manager registerNodeWithClass:[TextureScaleBiasPatch class]];

	[manager registerNodeWithClass:[TextureRenderPatch class]];
}
@end
