#import "TextureScalePatch.h"

@implementation TextureScalePatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];

	[inputX setDoubleValue:1.0];
	[inputY setDoubleValue:1.0];
	[inputZ setDoubleValue:1.0];

	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Module *st=[[inputTexture textureValue] texture];

	if(st)
	{
		module::ScalePoint *scale=new module::ScalePoint;
		scale->SetSourceModule(0,*st);
		scale->SetScale
		(
			[inputX doubleValue],
			[inputY doubleValue],
			[inputZ doubleValue]
		);

		KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:scale];
		[outputTexture setTextureValue:t];
		[t release];
	}
	else
		[outputTexture setTextureValue:nil];

	return YES;
}
@end
