#import "TextureInvertPatch.h"

@implementation TextureInvertPatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];
	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Module *ta=[[inputTexture textureValue] texture];

	if(ta)
	{
		module::Invert *invert=new module::Invert;
		invert->SetSourceModule(0,*ta);

		KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:invert];
		[outputTexture setTextureValue:t];
		[t release];
	}
	else
		[outputTexture setTextureValue:nil];

	return YES;
}
@end
