#import "TextureMinPatch.h"

@implementation TextureMinPatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];
	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Module *ta=[[inputTextureA textureValue] texture];
	module::Module *tb=[[inputTextureB textureValue] texture];

	if(ta && tb)
	{
		module::Min *min=new module::Min;
		min->SetSourceModule(0,*ta);
		min->SetSourceModule(1,*tb);

		KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:min];
		[outputTexture setTextureValue:t];
		[t release];
	}
	else
		[outputTexture setTextureValue:nil];

	return YES;
}
@end
