#import "TextureSpheresPatch.h"

@implementation TextureSpheresPatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];

	[inputFrequency setDoubleValue:1.0];

	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Spheres *spheres=new module::Spheres;
	spheres->SetFrequency([inputFrequency doubleValue]);

	KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:spheres];
	[outputTexture setTextureValue:t];
	[t release];

	return YES;
}
@end
