#import "TextureTranslatePatch.h"

@implementation TextureTranslatePatch
- (id)initWithIdentifier:(id)fp8
{
	id z=[super initWithIdentifier:fp8];

	[inputX setDoubleValue:0.0];
	[inputY setDoubleValue:0.0];
	[inputZ setDoubleValue:0.0];

	return z;
}

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	module::Module *st=[[inputTexture textureValue] texture];

	if(st)
	{
		module::TranslatePoint *translate=new module::TranslatePoint;
		translate->SetSourceModule(0,*st);
		translate->SetTranslation
		(
			[inputX doubleValue],
			[inputY doubleValue],
			[inputZ doubleValue]
		);

		KinemeTexture *t=[[KinemeTexture alloc] initWithTexture:translate];
		[outputTexture setTextureValue:t];
		[t release];
	}
	else
		[outputTexture setTextureValue:nil];

	return YES;
}
@end
